public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/ddccontrol-db/
Date: Mon,  3 Aug 2020 23:12:52 +0000 (UTC)	[thread overview]
Message-ID: <1596496360.51a8ff2c4acfccfbf144e1dd4a3196a1689ccdd8.robbat2@gentoo> (raw)

commit:     51a8ff2c4acfccfbf144e1dd4a3196a1689ccdd8
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  3 23:11:11 2020 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Mon Aug  3 23:12:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51a8ff2c

app-misc/ddccontrol-db: bump, just more monitors added

Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 app-misc/ddccontrol-db/Manifest                    |  2 ++
 .../ddccontrol-db/ddccontrol-db-20190826.ebuild    | 38 +++++++++++++++++++++
 .../ddccontrol-db-20190826_p20200613.ebuild        | 39 ++++++++++++++++++++++
 3 files changed, 79 insertions(+)

diff --git a/app-misc/ddccontrol-db/Manifest b/app-misc/ddccontrol-db/Manifest
index dbe1b197238..c612b957c0a 100644
--- a/app-misc/ddccontrol-db/Manifest
+++ b/app-misc/ddccontrol-db/Manifest
@@ -1 +1,3 @@
 DIST ddccontrol-db-20061014_p20121105.tar.gz 62043 BLAKE2B 558af647f21839f6df8a19cb84237aeb8ad5d023b1373de3180b9a88fcf7425d17797348cc0e2d44a4d5d1d715a429475873b82d0d8c728d8177b17d77b9cc42 SHA512 323c2ac498f634d20a183ea96e67868b8f3e8bb26da0133b91848b06accbef5605b3d5ca56b4861a8d28d9da9a28b11579a2e1fcc248624835190cdb01943c80
+DIST ddccontrol-db-20190826.tar.gz 76861 BLAKE2B e5f88dc74363b985b34ab7c5427555f725a4c0ad76e9496ceb914062f136443afa85e77710e7966884208e7fb2c30922d340501f365328d1369e76a9088003ce SHA512 f1939568fd77b9a6faf5d848cefe90910134ed4a661d07a399c88bdfdba7f087111dfe95332355080be90fa88011909e28b302248d42a9b909028eaf39a40a7c
+DIST ddccontrol-db-20190826_p20200613.tar.gz 85044 BLAKE2B 6f80a7a53843dc29ff6158614dd36eba3d7f8172e21592776426464729b4bdcfd3bea51b8412919aa5231015f75766da51eb71f4d808b4c280c045209a4edf1a SHA512 9171193fd31c877699df9e8740cbed0a8de68acc41b614ded36022a25be27f01cf34129033ae3c219211bff54ea82882a955f587dfa87fa7571d3992ac3fa4de

diff --git a/app-misc/ddccontrol-db/ddccontrol-db-20190826.ebuild b/app-misc/ddccontrol-db/ddccontrol-db-20190826.ebuild
new file mode 100644
index 00000000000..afe9ca3a52f
--- /dev/null
+++ b/app-misc/ddccontrol-db/ddccontrol-db-20190826.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit autotools
+
+DESCRIPTION="DDCControl monitor database"
+HOMEPAGE="http://ddccontrol.sourceforge.net/"
+#COMMIT_ID="..."
+MY_PV=${COMMIT_ID:-${PV}}
+SRC_URI="https://github.com/ddccontrol/ddccontrol-db/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="nls"
+
+S=${WORKDIR}/${PN}-${MY_PV}
+
+RDEPEND="nls? ( sys-devel/gettext )"
+DEPEND="${RDEPEND}
+		dev-util/intltool
+		dev-perl/XML-Parser"
+
+src_prepare() {
+	touch db/options.xml.h ABOUT-NLS config.rpath || die
+	eautoreconf
+}
+
+src_configure() {
+	econf $(use_enable nls)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc AUTHORS ChangeLog NEWS README.md
+}

diff --git a/app-misc/ddccontrol-db/ddccontrol-db-20190826_p20200613.ebuild b/app-misc/ddccontrol-db/ddccontrol-db-20190826_p20200613.ebuild
new file mode 100644
index 00000000000..773bddb8a14
--- /dev/null
+++ b/app-misc/ddccontrol-db/ddccontrol-db-20190826_p20200613.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils autotools
+
+DESCRIPTION="DDCControl monitor database"
+HOMEPAGE="http://ddccontrol.sourceforge.net/"
+COMMIT_ID="e75714979448b2f513d5ce65929899fa32a59044"
+MY_PV=${COMMIT_ID:-${PV}}
+SRC_URI="https://github.com/ddccontrol/ddccontrol-db/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="nls"
+
+S=${WORKDIR}/${PN}-${MY_PV}
+
+RDEPEND="nls? ( sys-devel/gettext )"
+DEPEND="${RDEPEND}
+		dev-util/intltool
+		dev-perl/XML-Parser"
+
+src_prepare() {
+	touch db/options.xml.h ABOUT-NLS config.rpath || die
+	eapply_user
+	eautoreconf
+}
+
+src_configure() {
+	econf $(use_enable nls)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc AUTHORS ChangeLog NEWS README.md
+}


             reply	other threads:[~2020-08-03 23:12 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-08-03 23:12 Robin H. Johnson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-03 17:45 [gentoo-commits] repo/gentoo:master commit in: app-misc/ddccontrol-db/ Petr Vaněk
2024-06-15 19:22 Arthur Zamarin
2023-07-01 23:38 Robin H. Johnson
2023-04-01 19:39 Conrad Kostecki
2023-03-04  7:18 Sam James
2023-03-04  7:18 Sam James
2022-01-10 16:27 Joonas Niilola
2022-01-10 16:27 Joonas Niilola
2020-11-26 20:25 Aaron Bauman
2016-10-01  8:02 Pacho Ramos
2016-01-16 18:03 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1596496360.51a8ff2c4acfccfbf144e1dd4a3196a1689ccdd8.robbat2@gentoo \
    --to=robbat2@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox